<div class="gw2-item-tooltip">
  <img class="item-icon"
       width="55px" height="55px"
       ng-src="{{item.icon}}"/>

  <ng:switch on="ready">
    <div ng:switch-when="false">
      <div class="description">
        Loading data...
      </div>
    </div>
    <div class="animate-switch" ng:switch-default>
      <div class="description">
        <span ng-style="item.nameStyle"><b>{{item.name}}</b></span><br/>

        <div class="info">
          <span ng-show="item.details.min_power">
            Weapon Strength:
            <span class="tooltipGreen">
              {{item.details.min_power}} - {{item.details.max_power}}
            </span>
          </span>
          <span ng-show="item.details.defense">Defense:
            <span class="tooltipGreen">
              {{item.details.defense}}
            </span>
          </span>

          <ul class="stats">
            <li ng-repeat="stat in item.details.infix_upgrade.attributes">
              +{{stat.modifier}} {{stat.attribute}}</li>
          </ul>

          <div ng-show="item.suffix" class="socket">
            <img width="16px" height="16px" ng-src="{{item.suffix.icon}}"/> {{item.suffix.name}}
            <ul>
              <li ng-repeat="bonus in item.suffix.details.bonuses">
                ({{$index+1}}) <span compile="bonus"></span>
              </li>
              <li ng-repeat="bonus in item.suffix.details.infix_upgrade.buff"
                  compile="bonus">
              </li>
            </ul>
          </div>

          {{item.details.type}}<br/>
          <span ng-show="item.details.weight_class">
            {{item.details.weight_class}} {{item.type}}<br/>
          </span>
          <span ng-show="item.details.damage_type" class="damageType">
            Damage Type: {{item.details.damage_type}}<br/>
          </span>
          Required Level: {{item.level}}<br/>
          <span ng-repeat="flag in item.flags">{{flagToString(flag)}}</span><br/>
        </div>
      </div>
    </div>
  </ng:switch>
</div>
